Bug 1264180 - heat-delete removed the vm, but the cinder volume still shows attached
heat-delete removed the vm, but the cinder volume still shows attached
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
unspecified Severity high
: ---
: 6.0 (Juno)
Assigned To: Gorka Eguileor
nlevinki
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 14:16 EDT by Jeremy
Modified: 2016-04-26 16:01 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 08:52:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmelvin: needinfo+
geguileo: needinfo+


Attachments (Terms of Use)
templates (33.05 KB, application/zip)
2015-09-18 11:35 EDT, Jeremy
no flags Details
heat (21.49 KB, text/plain)
2015-09-18 11:36 EDT, Jeremy
no flags Details

  None (edit)
Description Jeremy 2015-09-17 14:16:02 EDT
Description of problem:
A user issued a heat-delete.  Heat deleted the vm, but the cinder volume was not detached.  Attempts to delete the volume fail even with reset-state, delete, and force-delete.  Thus, the heat stack is in a "delete failed" state.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.create stack
2.delete stack
3. note failure

Actual results: did not detach cinder volume


Expected results: should detach cinder volume before deleting vm.


Additional info:
Comment 2 Zane Bitter 2015-09-17 15:56:21 EDT
Please attach the template used.
Comment 3 Jeremy 2015-09-18 11:35:25 EDT
Created attachment 1074978 [details]
templates
Comment 4 Jeremy 2015-09-18 11:36:22 EDT
Created attachment 1074979 [details]
heat
Comment 5 Jeremy 2015-09-18 11:36:49 EDT
As described by the user of the template:

All the files presented are part of instantiation.

FIcmd is just a script to start the stack.  It calls the HOT and environment file.
	heat stack-create -f ./wmm_field_config_data.hot.yaml -e ./LCPwmm.env.yaml -P "password=${OS_PASSWORD}" -t 30 me132

The hot file references the four resource templates.
	LCP-InternalNet.template.yaml
	LCP-SWconfig.template.yaml
	LCP-VMpair.template.yaml
	LCP-VMpairDRBD.template.yaml
Comment 13 Sergey Gotliv 2015-10-08 08:52:28 EDT
Customer case is closed, so I am closing that bug.

Note You need to log in before you can comment on or make changes to this bug.